Author: jfrederic.clere(a)jboss.com
Date: 2014-08-22 12:35:01 -0400 (Fri, 22 Aug 2014)
New Revision: 3343
Modified:
trunk/build/unix/buildsrc.mod_cluster.sh
Log:
Don't copy file when we don't have a directory (would the .svn dir otherwise).
Modified: trunk/build/unix/buildsrc.mod_cluster.sh
===================================================================
--- trunk/build/unix/buildsrc.mod_cluster.sh 2014-08-22 15:44:16 UTC (rev 3342)
+++ trunk/build/unix/buildsrc.mod_cluster.sh 2014-08-22 16:35:01 UTC (rev 3343)
@@ -128,10 +128,13 @@
for file in `(cd ${dirnmake}; find . -type f)`
do
FILE=`echo $file | sed s:./::`
- cp -p ${dirnmake}/$FILE ${dirsources}/${FILE}
- if [ $? -ne 0 ]; then
- echo "cp -p ${dirnmake}/$FILE ${dirsources}/${FILE} FAILED"
- exit 1
+ DIR=`dirname ${dirsources}/${FILE}`
+ if [ -d $DIR ]; then
+ cp -p ${dirnmake}/$FILE ${dirsources}/${FILE}
+ if [ $? -ne 0 ]; then
+ echo "cp -p ${dirnmake}/$FILE ${dirsources}/${FILE} FAILED"
+ exit 1
+ fi
fi
done
# Apply patches for iconv
Show replies by date